Bug 818159 - Error when promoting changeset with a package without its product being promoted first
Summary: Error when promoting changeset with a package without its product being promo...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Katello
Classification: Retired
Component: Webservice API
Version: 1.X
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Petr Chalupa
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-02 11:03 UTC by Petr Chalupa
Modified: 2015-05-05 01:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-17 13:09:46 UTC


Attachments (Terms of Use)
reproduces the bug (1.42 KB, application/octet-stream)
2012-05-02 11:04 UTC, Petr Chalupa
no flags Details

Description Petr Chalupa 2012-05-02 11:03:14 UTC
Description of problem:
model ChangesetPackage raises undefined method `errand_id'  when promoting changeset with a package without its product being promoted first

How reproducible:
always

Steps to Reproduce:
run attachment reproduce.sh  

Actual results:
error: undefined method `errand_id' for #<ChangesetPackage:0x7f71503ca5f0>

Expected results:
warning: Repository of the package '2cf842df-20c8-48bb-ab50-cf4a1bf78161' has not been promoted into the target environment!

Comment 1 Petr Chalupa 2012-05-02 11:04:22 UTC
Created attachment 581580 [details]
reproduces the bug

Comment 2 Petr Chalupa 2012-05-03 11:26:40 UTC
fixed in e17311fa66895787c9ba34bcf3dcfb1bebe1ab96

Comment 3 Bryan Kearney 2012-07-17 13:09:46 UTC
Moving all community bugs with fixes to closed.


Note You need to log in before you can comment on or make changes to this bug.